#!/usr/local/bin/php
<?php
// NOTE: This is a command line script
if($_SERVER['REQUEST_URI']) {
  echo "<h1>Forbidden</h1>";
  echo "<p>This is a command line script; it cannot be executed through HTTP</p>";
  exit;
}


// We need to imitate WP
require_once("wp-config.php");
wp();

require_once("wordpress_vbulletin_bridge.php");





echo "WordPress-vBulletin Import Script\n";
echo "=================================\n";
if(!wp2vb_vb_dblink()) {
  echo "Error: The connection the vBulletins database could not be made. Make sure you have privileges to connect from this computer.\n";
  exit(1);
}
$quit = false;
while(!$quit) {
  $post_id_list = get_wp_posts_to_import();
  if($n = count($post_id_list)) {
    echo "There are $n blog entries to import\n";
  }
  else {
    echo "There are no blog entries to import\n";
    exit(0);
  }
  do {
   echo "What do you want to do? (a=import all, c=confirm each, q=quit) ";
  } while(!($line = strtolower(trim(fgets(STDIN)))));
  switch($line) {
  case 'a':
    $count = 0;
    foreach($post_id_list as $post_id) {
      wp2vb_newpost($post_id);
      $count++;
    }
    echo "Import of $count entries done!\n";
    break;
  case 'c':
    $count = 0;
    $all = false;
    foreach($post_id_list as $post_id) {
      if($all) {
        $line = 'y';
      }
      else {
        echo "Import entry #$post_id? (y=yes/N=no/a=all) ";
        $line = strtolower(trim(fgets(STDIN)));
      }
      switch($line) {
      case 'a':
	$all = true;
	// fall-through...
      case 'y':
        wp2vb_newpost($post_id);
        $count++;
        break;
      case 'q':
	echo "Aborted!\n";
	break(2);
      case 'n':
      default:
	break;
      }
    }
    echo "Import of $count entries done!\n";
    break;
  
  //  case 'n':
  //  $post_id = false;
  //  $done_n = false;
  //  while(!$done_n) {
  //    echo "Enter post/entry id to import: ";
  //    $post_id = trim(fgets(STDIN));
  //    if(is_numeric($post_id)) {
  //    }
  //    else {
  //    }
  //  } 
  //  break;
  case 'q':
    exit(0);
    break;
  default:
    echo "Invalid option!\n";
    break;
  }
}


function get_wp_posts_to_import()
{
  global $wpdb;
  $wpdb->flush();
  $t = $wpdb->posts;
  $query = "SELECT `ID` FROM $t WHERE `post_status` = 'publish' AND ISNULL(`vb_threadid`) ORDER BY `ID`";
  $list = $wpdb->get_col($query, 0);
  return $list ? $list : array();
}

?>